package gmt.protocol.std.type;

public enum SensorType {
	None("NONE", 0),
	CoastAIS("CoastAIS", 11),
	NavyAIS("NavyAIS", 12),
	ArmyAIS("ArmyAIS", 13),
	SATAIS("SATAIS", 72);	
	
	private final String typeName;
	private final int code;
	
	private SensorType(String name, int code) {
		this.typeName = name;
		this.code = code;
	}
	
	public String getName() {
		return this.typeName;
	}
	
	public int getCode() {
		return this.code;
	}
}
